# pspiofilemgr_stat.h File Reference

`#include <psptypes.h>`
`#include <pspkerneltypes.h>`

Include dependency graph for pspiofilemgr_stat.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SceIoStat
| Structure to hold the status information about a file. More...

## Defines

#define | FIO_S_ISLNK(m) (((m) & FIO_S_IFMT) == FIO_S_IFLNK)
#define | FIO_S_ISREG(m) (((m) & FIO_S_IFMT) == FIO_S_IFREG)
#define | FIO_S_ISDIR(m) (((m) & FIO_S_IFMT) == FIO_S_IFDIR)
#define | FIO_SO_ISLNK(m) (((m) & FIO_SO_IFMT) == FIO_SO_IFLNK)
#define | FIO_SO_ISREG(m) (((m) & FIO_SO_IFMT) == FIO_SO_IFREG)
#define | FIO_SO_ISDIR(m) (((m) & FIO_SO_IFMT) == FIO_SO_IFDIR)

## Typedefs

typedef SceIoStat | SceIoStat
| Structure to hold the status information about a file.

## Enumerations

enum

IOAccessModes {
FIO_S_IFMT = 0xF000, FIO_S_IFLNK = 0x4000, FIO_S_IFDIR = 0x1000, FIO_S_IFREG = 0x2000,
FIO_S_ISUID = 0x0800, FIO_S_ISGID = 0x0400, FIO_S_ISVTX = 0x0200, FIO_S_IRWXU = 0x01C0,
FIO_S_IRUSR = 0x0100, FIO_S_IWUSR = 0x0080, FIO_S_IXUSR = 0x0040, FIO_S_IRWXG = 0x0038,
FIO_S_IRGRP = 0x0020, FIO_S_IWGRP = 0x0010, FIO_S_IXGRP = 0x0008, FIO_S_IRWXO = 0x0007,
FIO_S_IROTH = 0x0004, FIO_S_IWOTH = 0x0002, FIO_S_IXOTH = 0x0001
}

| Access modes for st_mode in SceIoStat (confirm?). More...
enum | IOFileModes { FIO_SO_IFMT = 0x0038, FIO_SO_IFLNK = 0x0008, FIO_SO_IFDIR = 0x0010, FIO_SO_IFREG = 0x0020, FIO_SO_IROTH = 0x0004, FIO_SO_IWOTH = 0x0002, FIO_SO_IXOTH = 0x0001 }
| File modes, used for the st_attr parameter in SceIoStat (confirm?). More...

## Define Documentation

#define FIO_S_ISDIR | ( | m |  | ) | (((m) & FIO_S_IFMT) == FIO_S_IFDIR)

#define FIO_S_ISLNK | ( | m |  | ) | (((m) & FIO_S_IFMT) == FIO_S_IFLNK)

#define FIO_S_ISREG | ( | m |  | ) | (((m) & FIO_S_IFMT) == FIO_S_IFREG)

#define FIO_SO_ISDIR | ( | m |  | ) | (((m) & FIO_SO_IFMT) == FIO_SO_IFDIR)

#define FIO_SO_ISLNK | ( | m |  | ) | (((m) & FIO_SO_IFMT) == FIO_SO_IFLNK)

#define FIO_SO_ISREG | ( | m |  | ) | (((m) & FIO_SO_IFMT) == FIO_SO_IFREG)

## Typedef Documentation

typedef struct SceIoStat SceIoStat

| Structure to hold the status information about a file.

## Enumeration Type Documentation

enum IOAccessModes

Access modes for st_mode in SceIoStat (confirm?).

Enumerator:

  FIO_S_IFMT | Format bits mask.
  FIO_S_IFLNK | Symbolic link.
  FIO_S_IFDIR | Directory.
  FIO_S_IFREG | Regular file.
  FIO_S_ISUID | Set UID.
  FIO_S_ISGID | Set GID.
  FIO_S_ISVTX | Sticky.
  FIO_S_IRWXU | User access rights mask.
  FIO_S_IRUSR | Read user permission.
  FIO_S_IWUSR | Write user permission.
  FIO_S_IXUSR | Execute user permission.
  FIO_S_IRWXG | Group access rights mask.
  FIO_S_IRGRP | Group read permission.
  FIO_S_IWGRP | Group write permission.
  FIO_S_IXGRP | Group execute permission.
  FIO_S_IRWXO | Others access rights mask.
  FIO_S_IROTH | Others read permission.
  FIO_S_IWOTH | Others write permission.
  FIO_S_IXOTH | Others execute permission.

enum IOFileModes

File modes, used for the st_attr parameter in SceIoStat (confirm?).

Enumerator:

  FIO_SO_IFMT | Format mask.
  FIO_SO_IFLNK | Symlink.
  FIO_SO_IFDIR | Directory.
  FIO_SO_IFREG | Regular file.
  FIO_SO_IROTH | Hidden read permission.
  FIO_SO_IWOTH | Hidden write permission.
  FIO_SO_IXOTH | Hidden execute permission.